@use 'partials/components/menu';

$logo-container-size: 3em;
$app-logo-size: 2.4em;
$gap-size: 1em;
$padding-size: 1em;

.logo-container {
  width: $logo-container-size;
  height: $logo-container-size;
  display: flex;
  justify-content: center;
  align-items: center;
}

.app-logo {
  width: 2em;
  aspect-ratio: 1;
  object-fit: cover;
  align-self: center;
  border-radius: 50%;
}

.app-header {
  width: 100%;
  display: flex;
  flex: 1; /* app-header should expand as much as possible */
  justify-content: flex-start; /* align content left */
  align-items: flex-start; // align content at the start of the vertical axis
  gap: $gap-size;
}

.app-info-container {
  line-break: anywhere;
}

.right-padding {
  padding-right: $padding-size;
}
